CaePart Class

class NXOpen.CAE.CaePart

Bases: NXOpen.BasePart

This is an abstract class for NX parts of type .fem and .sim

This is an abstract class

New in version NX5.0.0.

Properties

Property Description
ComponentAssembly Returns the component assembly.
Displayed Returns true if the part represents a displayed part.
FieldManager Returns the field main.
FullPath Returns the full path of the part.
HasWriteAccess Returns the write-access status of a part independent of the load state.
IsFullyLoaded Returns the load status of a part.
IsOccurrence Returns whether this object is an occurrence or not.
IsReadOnly Returns the read-only status of a part.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Leaf Returns the leaf name of the part.
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
PartPreviewMode Returns or sets the preview mode
PartUnits Returns the units of the part file.
Prototype Returns the prototype of this object if it is an occurrence.
SaveDisplayFacets Returns or sets whether display quality facets are saved in the part file
Tag Returns the Tag for this object.
UniqueIdentifier Returns or sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open.
AtvSets Contains a NXOpen.CAE.AtvSetCollection.
FrfSets Contains a NXOpen.CAE.FrfSetCollection.
ModeSets Contains a NXOpen.CAE.ModeSetCollection.
PhysicalPropertyTables Returns the physical property table collection belonging to this CAE Part
ModelingObjectPropertyTables Returns the modeling object property table collection belonging to this CAE Part
CaeGroups Returns the CAE Group collection belonging to this Part
SmartSelectionMgr Returns the smart selection manager belonging to this part
NodeElementInfoMgr Returns the node element info manager belonging to this IFem
SelectElementMgr Returns the select element manager belonging to this IFem
MeshControlDisplayMgr Returns the mesh control display manager belonging to this IFem
ModelCheckMgr Returns the select element manager belonging to this IFem
ShowHideMgr Returns the show hide manager belonging to the part
ElementQualitySettings Returns the element quality settings collection belonging to this CAE Part
CaeQueryCurves Returns the CAE query curve manager belonging to this Part
LayoutStates Contains a NXOpen.CAE.LayoutStateCollection.
PostScenarioMgr Contains a NXOpen.CAE.PostScenarioManager.
SelectionRecipes Contains a NXOpen.CAE.SelectionRecipeCollection.
Notes Contains a cae annotation manager.
CaeNoteCollection Contains a cae note collection.

Methods

Method Description
AssignPermanentName Saves a temporary part with the given name.
CanBeDisplayPart Returns true if the part can be displayed and false if not displayed.
Close Closes an open part.
CompleteStructure Make additions necessary to complete the incomplete assembly structure of the input part
CreateAttributeIterator Create an attribute iterator
CreateConvertToConvergentBodyBuilder Creates a NXOpen.CAE.ConvertToConvergentBodyBuilder
CreateDynamicSectionBuilder Creates a NXOpen.Display.DynamicSectionBuilder The base part must be a displayable part, otherwise an exception will be thrown.
CreateEffectivityConditionBuilder Creates a NXOpen.EffectivityConditionBuilder
CreateFacetSettingsBuilder Creates a builder for the Facet Settings dialog
CreateGatewayGroupBuilder Creates a Groups builder
CreateModelDisplayBuilder Creates a builder for model display controls command
CreatePerspectiveOptionsBuilder Creates a builder for the Perspective Options dialog
CreateReferenceSet Creates a NXOpen.ReferenceSet object
CreateSolverAppendOption Returns a solver append option object for importing the solver specific data into an existing NXOpen.CAE.FemPart or NXOpen.CAE.SimPart.
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteReferenceSet Deletes a NXOpen.ReferenceSet object
DeleteSolverAppendOption Deletes a solver append option object for importing the solver specific data into an existing NXOpen.CAE.FemPart or NXOpen.CAE.SimPart.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
ExportJt Exports JT file
ExportSimulation Exports the Simulation data for a NXOpen.CAE.CaePart.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAllReferenceSets Get all the NXOpen.ReferenceSet objects in this part.
GetApplication Get the application which corresponds to the specified type.
GetArrangements Outputs the NXOpen.Assemblies.Arrangement objects within the given part.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetCollaborativeContentType The collaborative content type of this part.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetCsysFlattenedLabel Gets the resolved label of csys in cae part.
GetDescription Gets the description assoicated with the Cae part
GetHistoryInformation Get history of part
GetIncompleteStatus Inquire whether the provided part is flagged as being incomplete
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetMakeUniqueName Gets the Unique name on a part for the Make Unique operation
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetPreviewImage Get the preview image This will return the graphic preview image of the part (when available).
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetTransientStatus Inquire whether the provided part is flagged as being transient
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
ImportExistingSimulation Imports the solver specific data into an existing NXOpen.CAE.FemPart or NXOpen.CAE.SimPart.
LoadFeatureDataForSelection Ensure that feature data is loaded for a part.
LoadFully Ensures that this part is fully loaded.
LoadThisPartFully Ensures that this part is fully loaded.
LoadThisPartPartially Ensures that this part is at least partially loaded.
NewBeamSectionOffsetOptions Creates a NXOpen.CAE.BeamSectionOffsetOptions
NewBeamSectionOptions Creates a NXOpen.CAE.BeamSectionOptions
NewBeamSectionOrientationOptions Creates a NXOpen.CAE.BeamSectionOrientationOptions
NewMaterialOptions Creates a NXOpen.CAE.MaterialOptions
Print Prints a representation of this object to the system log file.
RegenerateDisplayFacets Regenerates display specific transient cached facets in the part.
ReinstateTransience Reinstate the transient status to the formerly transient input part
RemoveTransience Remove the transient status from the input part
Reopen Reopens a loaded part.
ReopenAs Reopens a loaded part.
ReverseBlankAll Reverse blank all the objects in the part.
Save Saves the part whether it is modified or not.
SaveAs Creates copy of target part.
SaveBookmark Saves a bookmark file.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetDescription Sets the description assoicated with the Cae part
SetMakeUniqueName Sets the unique name on part for the Make Unique operation
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
Undisplay Undisplays the part, if it is currently a displayed part.

Enumerations

CaePartFieldApplicationType Enumeration Enumeration which is used to specify the type of field application to retrieve in the GetApplication method.

Property Detail

IsOccurrence

CaePart.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

CaePart.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

CaePart.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

CaePart.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

CaePart.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

CaePart.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

AtvSets

CaePart.AtvSets

Contains a NXOpen.CAE.AtvSetCollection.

Signature AtvSets

New in version NX12.0.0.

Returns:
Return type:NXOpen.CAE.AtvSetCollection

FrfSets

CaePart.FrfSets

Contains a NXOpen.CAE.FrfSetCollection.

Signature FrfSets

New in version NX12.0.0.

Returns:
Return type:NXOpen.CAE.FrfSetCollection

ModeSets

CaePart.ModeSets

Contains a NXOpen.CAE.ModeSetCollection.

Signature ModeSets

New in version NX12.0.0.

Returns:
Return type:NXOpen.CAE.ModeSetCollection

PhysicalPropertyTables

CaePart.PhysicalPropertyTables

Returns the physical property table collection belonging to this CAE Part

Signature PhysicalPropertyTables

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.PhysicalPropertyTableCollection

ModelingObjectPropertyTables

CaePart.ModelingObjectPropertyTables

Returns the modeling object property table collection belonging to this CAE Part

Signature ModelingObjectPropertyTables

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.ModelingObjectPropertyTableCollection

CaeGroups

CaePart.CaeGroups

Returns the CAE Group collection belonging to this Part

Signature CaeGroups

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.CaeGroupCollection

SmartSelectionMgr

CaePart.SmartSelectionMgr

Returns the smart selection manager belonging to this part

Signature SmartSelectionMgr

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.SmartSelectionManager

NodeElementInfoMgr

CaePart.NodeElementInfoMgr

Returns the node element info manager belonging to this IFem

Signature NodeElementInfoMgr

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.NodeElementInfoManager

SelectElementMgr

CaePart.SelectElementMgr

Returns the select element manager belonging to this IFem

Signature SelectElementMgr

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.SelectElementsManager

MeshControlDisplayMgr

CaePart.MeshControlDisplayMgr

Returns the mesh control display manager belonging to this IFem

Signature MeshControlDisplayMgr

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.MeshControlDisplayManager

ModelCheckMgr

CaePart.ModelCheckMgr

Returns the select element manager belonging to this IFem

Signature ModelCheckMgr

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.ModelCheckManager

ShowHideMgr

CaePart.ShowHideMgr

Returns the show hide manager belonging to the part

Signature ShowHideMgr

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.ShowHideManager

ElementQualitySettings

CaePart.ElementQualitySettings

Returns the element quality settings collection belonging to this CAE Part

Signature ElementQualitySettings

New in version NX8.5.0.

Returns:
Return type:NXOpen.CAE.ModelCheck.ElementQualitySettingCollection

CaeQueryCurves

CaePart.CaeQueryCurves

Returns the CAE query curve manager belonging to this Part

Signature CaeQueryCurves

New in version NX11.0.0.

Returns:
Return type:NXOpen.CAE.QueryCurveManager

LayoutStates

CaePart.LayoutStates

Contains a NXOpen.CAE.LayoutStateCollection.

Signature LayoutStates

New in version NX11.0.0.

Returns:
Return type:NXOpen.CAE.LayoutStateCollection

PostScenarioMgr

CaePart.PostScenarioMgr

Contains a NXOpen.CAE.PostScenarioManager.

Signature PostScenarioMgr

New in version NX11.0.0.

Returns:
Return type:NXOpen.CAE.PostScenarioManager

SelectionRecipes

CaePart.SelectionRecipes

Contains a NXOpen.CAE.SelectionRecipeCollection.

Signature SelectionRecipes

New in version NX12.0.0.

Returns:
Return type:NXOpen.CAE.SelectionRecipeCollection

Notes

CaePart.Notes

Contains a cae annotation manager.

Signature Notes

New in version NX12.0.0.

Returns:
Return type:NXOpen.CAE.NoteManager

CaeNoteCollection

CaePart.CaeNoteCollection

Contains a cae note collection.

Signature CaeNoteCollection

New in version NX12.0.0.

Returns:
Return type:NXOpen.CAE.NoteCollection

Method Detail

CreateConvertToConvergentBodyBuilder

CaePart.CreateConvertToConvergentBodyBuilder

Creates a NXOpen.CAE.ConvertToConvergentBodyBuilder

Signature CreateConvertToConvergentBodyBuilder()

Returns:
Return type:NXOpen.CAE.ConvertToConvergentBodyBuilder

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateModelDisplayBuilder

CaePart.CreateModelDisplayBuilder

Creates a builder for model display controls command

Signature CreateModelDisplayBuilder()

Returns:
Return type:NXOpen.CAE.ModelDisplayBuilder

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateSolverAppendOption

CaePart.CreateSolverAppendOption

Returns a solver append option object for importing the solver specific data into an existing NXOpen.CAE.FemPart or NXOpen.CAE.SimPart.

Signature CreateSolverAppendOption()

Returns:the object of solver append option
Return type:NXOpen.CAE.SolverAppendOption

New in version NX7.5.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

DeleteSolverAppendOption

CaePart.DeleteSolverAppendOption

Deletes a solver append option object for importing the solver specific data into an existing NXOpen.CAE.FemPart or NXOpen.CAE.SimPart.

Signature DeleteSolverAppendOption(appendOption)

Parameters:appendOption (NXOpen.CAE.SolverAppendOption) – the object of solver append option

New in version NX7.5.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ExportJt

CaePart.ExportJt

Exports JT file

Signature ExportJt(fileName)

Parameters:fileName (str) – the JT file name to be created

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ExportSimulation

CaePart.ExportSimulation

Exports the Simulation data for a NXOpen.CAE.CaePart.

For a NXOpen.CAE.SimPart, the data will be exported for the active solution NXOpen.CAE.SimSolution if its solver matches the specified solverName.

For a NXOpen.CAE.FemPart, the data will be exported only if the solver defined for the NXOpen.CAE.FemPart matches the specified solverName.

Export is driven by the properties defined in the input NXOpen.CAE.CaeDataContainer propertyList. The exact properties can vary from solver to solver. An accurate list of property names is obtained by journaling the opertation first.

Signature ExportSimulation(solverName, propertyList)

Parameters:
  • solverName (str) – the name of the solver export
  • propertyList (NXOpen.CAE.CaeDataContainer) – the export parameters. See CAE.CaeSession.GetDataContainer().

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

FindObject

CaePart.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetApplication

CaePart.GetApplication

Get the application which corresponds to the specified type.

Such an application allows to extend the functionalities of the Field frameworl with application specific knowledge. If the requested application does not exist yet, this method will create it and register it with the fields framework.

Signature GetApplication(applicationType)

Parameters:applicationType (NXOpen.CAE.CaePartFieldApplicationType) –
Returns:
Return type:NXOpen.Fields.IApplication

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetCsysFlattenedLabel

CaePart.GetCsysFlattenedLabel

Gets the resolved label of csys in cae part.

Signature GetCsysFlattenedLabel(csys)

Parameters:csys (NXOpen.CoordinateSystem) – coordinate system
Returns:resolved label
Return type:int

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetDescription

CaePart.GetDescription

Gets the description assoicated with the Cae part

Signature GetDescription()

Returns:description
Return type:list of str

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ImportExistingSimulation

CaePart.ImportExistingSimulation

Imports the solver specific data into an existing NXOpen.CAE.FemPart or NXOpen.CAE.SimPart.

The data will be imported only if the solver defined for the NXOpen.CAE.FemPart or NXOpen.CAE.SimPart matches the specified solverName.

Import is driven by the properties defined in the input NXOpen.CAE.CaeDataContainer propertyList. The exact properties can vary from solver to solver. An accurate list of property names is obtained by journaling the opertation first.

Signature ImportExistingSimulation(solverName, propertyList)

Parameters:
  • solverName (str) – the name of the solver import
  • propertyList (NXOpen.CAE.CaeDataContainer) – the import parameters. See CAE.CaeSession.GetDataContainer().

New in version NX7.5.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

NewBeamSectionOffsetOptions

CaePart.NewBeamSectionOffsetOptions

Creates a NXOpen.CAE.BeamSectionOffsetOptions

Signature NewBeamSectionOffsetOptions()

Returns:
Return type:NXOpen.CAE.BeamSectionOffsetOptions

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

NewBeamSectionOptions

CaePart.NewBeamSectionOptions

Creates a NXOpen.CAE.BeamSectionOptions

Signature NewBeamSectionOptions()

Returns:the syncrhonize options object created
Return type:NXOpen.CAE.BeamSectionOptions

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

NewBeamSectionOrientationOptions

CaePart.NewBeamSectionOrientationOptions

Creates a NXOpen.CAE.BeamSectionOrientationOptions

Signature NewBeamSectionOrientationOptions()

Returns:
Return type:NXOpen.CAE.BeamSectionOrientationOptions

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

NewMaterialOptions

CaePart.NewMaterialOptions

Creates a NXOpen.CAE.MaterialOptions

Signature NewMaterialOptions()

Returns:the material options object created
Return type:NXOpen.CAE.MaterialOptions

New in version NX5.0.0.

License requirements: None.

Print

CaePart.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetDescription

CaePart.SetDescription

Sets the description assoicated with the Cae part

Signature SetDescription(description)

Parameters:description (list of str) – description

New in version NX6.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetName

CaePart.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.